@import 'page_bundles/mixins_and_variables_and_functions';

.project-home-panel {
  .home-panel-avatar {
    flex-basis: $home-panel-title-row-height;
  }

  .home-panel-title {
    .icon {
      vertical-align: -1px;
    }

    .home-panel-topic-list {
      .icon {
        top: 3px;
      }
    }
  }

  .home-panel-title-row {
    @include media-breakpoint-down(sm) {
      .home-panel-avatar {
        width: $home-panel-avatar-mobile-size;
        height: $home-panel-avatar-mobile-size;
        flex-basis: $home-panel-avatar-mobile-size;

        .avatar {
          font-size: 20px;
          line-height: 46px;
        }
      }

      .home-panel-title {
        margin-top: 4px;
        margin-bottom: 2px;
        font-size: $gl-font-size;
        line-height: $gl-font-size-large;
      }
    }
  }

  .home-panel-description {
    @include media-breakpoint-up(md) {
      font-size: $gl-font-size-large;
    }
  }
}

.project-repo-buttons {
  .download-button {
    @include media-breakpoint-down(md) {
      margin-left: 0;
    }
  }

  .project-code-holder {
    display: inline-block;
    margin: $gl-padding 0 0;

    input {
      height: $input-height;
    }
  }

  .clone-options-dropdown {
    min-width: 240px;

    .dropdown-menu-inner-content {
      min-width: 320px;
    }
  }

  .mobile-git-clone {
    margin-top: $gl-padding-8;
  }
}

.project-stats,
.project-buttons {
  .scrolling-tabs-container {
    .scrolling-tabs {
      margin-top: $gl-padding-8;
      margin-bottom: $gl-padding-8 - $browser-scrollbar-size;
      padding-bottom: $browser-scrollbar-size;
      flex-wrap: wrap;
      border-bottom: 0;
    }

    .fade-left,
    .fade-right {
      top: 0;
      height: calc(100% - #{$browser-scrollbar-size});

      svg {
        top: 50%;
        margin-top: -$gl-padding-8;
      }
    }

    .nav {
      flex-basis: 100%;

      + .nav {
        margin: $gl-padding-8 0;
      }
    }

    @include media-breakpoint-down(md) {
      flex-direction: column;

      .nav {
        flex-wrap: nowrap;
      }

      .nav:first-child {
        margin-right: $gl-padding-8;
      }
    }
  }

  .nav {
    > li {
      display: inline-block;

      &.right {
        vertical-align: top;
        margin-top: 0;

        @include media-breakpoint-up(lg) {
          float: right;
        }
      }
    }

    .stat-text,
    .stat-link {
      padding: $gl-btn-vert-padding;
      background-color: transparent;
      font-size: $gl-font-size;
      line-height: $gl-btn-line-height;
      color: var(--gray-500, $gl-text-color-secondary);
      white-space: pre-wrap;
    }

    .stat-link {
      border-bottom: 0;
      color: var(--black, $black);

      &:hover,
      &:focus {
        text-decoration: underline;
      }

      .project-stat-value {
        color: var(--gl-text-color, $gl-text-color);
      }

      .icon {
        color: var(--gray-500, $gl-text-color-secondary);
      }
    }

    .btn {
      padding: $gl-btn-vert-padding $gl-btn-padding;
      line-height: $gl-btn-line-height;

      .icon {
        top: 0;
      }
    }
  }
}

.git-empty {
  margin-bottom: 7px;

  h5 {
    color: var(--gl-text-color, $gl-text-color);
  }
}

// FF :project_overview_reorg enabled
.project-page-indicator:not(.hidden) + .project-page-layout {
  --project-overview-sidebar-width: 290px;

  @include media-breakpoint-up(lg) {
    display: grid;
    grid-template-columns: auto var(--project-overview-sidebar-width);
    gap: 2rem;

    .project-page-layout-content,
    .project-page-layout-sidebar {
      min-width: 1px;
    }

    .project-page-layout-sidebar {
      order: 2;
      overflow-x: clip;
      margin-right: -$gl-padding-8;
    }

    .project-page-sidebar {
      position: sticky;
      top: calc(#{$calc-application-header-height} + #{$gl-spacing-scale-4});
      width: calc(100% + 100px);
      height: calc(
        #{$calc-application-viewport-height} - #{$gl-spacing-scale-4}
      );
      padding-inline: $gl-padding-4;
      overflow-y: scroll;
      overflow-x: hidden;
      -webkit-overflow-scrolling: touch;

      .project-page-sidebar-block {
        width: calc(var(--project-overview-sidebar-width) - 1px);

        &:first-of-type {
          padding-top: $gl-spacing-scale-1;
        }
      }

      .nav {
        > li {
          width: 100%;
        }

        .btn {
          justify-content: flex-start;

          &:not(.btn-dashed) {
            box-shadow: none;
          }
        }
      }
    }
  }
}
